Skip to content
Start here

Update IPFS Universal Path Gateway Content List

PUT/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list

Update IPFS Universal Path Gateway Content List

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames Write
Path ParametersExpand Collapse
zone_id: string

Specify the identifier of the hostname.

maxLength32
identifier: string

Specify the identifier of the hostname.

maxLength32
Body ParametersJSONExpand Collapse
action: "block"

Behavior of the content list.

entries: array of { id, content, created_on, 3 more }

Provides content list entries.

id: optional string

Specify the identifier of the hostname.

maxLength32
content: optional string

Specify the CID or content path of content to block.

maxLength500
created_on: optional string
formatdate-time
description: optional string

Specify an optional description of the content list entry.

maxLength500
modified_on: optional string
formatdate-time
type: optional "cid" or "content_path"

Specify the type of content list entry to block.

One of the following:
"cid"
"content_path"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: ContentList { action }
action: optional "block"

Behavior of the content list.

success: true

Specifies whether the API call was successful.

result_info: optional unknown or string

Provides the API response.

One of the following:
unknown
string

Update IPFS Universal Path Gateway Content List

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/web3/hostnames/$IDENTIFIER/ipfs_universal_path/content_list \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "action": "block",
          "entries": [
            {}
          ]
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "action": "block"
  },
  "success": true,
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "action": "block"
  },
  "success": true,
  "result_info": {}
}